(function(exports) {
    var recoverAPI = {
		// 居民康复详情
		patientRehabilitationDetail: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/patientRehabilitationDetail", {data: data})
		},
		// 近期康复记录
		recentPlanDetailRecord: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/recentPlanDetailRecord", {data: data})
		},
		// 就诊记录
		archivesEvent: function(data) {
			return httpRequest.get("doctor/archives/event", {data: data})
		},
		// 完成项目详情
		serviceItem: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/serviceItem", {data: data})
		},
		// 获取专病居民类别
		findLabelAndPatientCountByDoctor: function(data) {
			return httpRequest.get("doctor/specialist/findLabelAndPatientCountByDoctor", {data: data})
		},
		// 获取居民列表by医生
		getPatientInfoByDoctor: function(data) {
			return httpRequest.get("doctor/specialist/getPatientInfoByDoctor", {data: data})
		},
		// 获取居民信息
		getPatientInfo: function(data) {
			return httpRequest.get("doctor/patient_label_info/patient", {data: data})
		},
		// 获取模板列表
		findTemplateList: function(data) {
			return httpRequest.get("/doctor/specialist/rehabilitationPlan/findTemplateList", {data: data})
		},
		// 获取模板详细
		findTemplateDetail: function(data) {
			return httpRequest.get("/doctor/specialist/rehabilitationPlan/findTemplateDetail", {data: data})
		},
		// 删除模板
		deleteTemplate: function(data) {
			return httpRequest.get("/doctor/specialist/rehabilitationPlan/deleteTemplate", {data: data})
		},
		// 获取机构服务项目列表
		findServiceItemsByHospital: function(data) {
			return httpRequest.get("/doctor/specialist/hospitalServiceItem/findServiceItemsByHospital", {data: data})
		},
		// 获取医生团队疾病
		findTeamDiseaseRelation: function(data) {
			return httpRequest.get("third/specialist/findTeamDiseaseRelation", {data: data})
		},
		// 根据机构服务id获取详细信息
		selectByIds: function(data) {
			return httpRequest.get("doctor/specialist/hospitalServiceItem/selectByIds", {data: data})
		},
		// 创建康复计划
		createRehabilitationPlan: function(data) {
			return httpRequest.post("doctor/specialist/rehabilitationPlan/createRehabilitationPlan", {data: data})
		},
		// 根据患者获取专科医生跟技管师
		findPatientSignSpecialistInfo: function(data) {
			return httpRequest.get("doctor/specialist/findPatientSignSpecialistInfo", {data: data})
		},
		// 获取频次接口
		selectFrequencys: function(data) {
			return httpRequest.get("doctor/specialist/rehabilitation/selectFrequencys", {data: data})
		},
		// 获取专科团队接口
		specialistTeam: function(data) {
			return httpRequest.get("doctor/admin-teams/teams/info", {data: data})
		},
		// 保存诊疗信息接口
		createDiagnosisInformation: function(data) {
			return httpRequest.post("doctor/specialist/diagnosisInformation/createDiagnosisInformation", {data: data})
		},
		// 根据康复计划id获取诊疗信息
		findDiagnosisInformationByPlanId: function(data) {
			return httpRequest.get("doctor/specialist/diagnosisInformation/findDiagnosisInformationByPlanId", {data: data})
		},
		// 根据居民获取诊疗信息
		findDiagnosisInformationByPatient: function(data) {
			return httpRequest.get("doctor/specialist/diagnosisInformation/findDiagnosisInformationByPatient", {data: data})
		},
		//诊疗信息
		diagnosisQuery:function(data){
			return httpRequest.get("doctor/archives/event",{data:data})
		},
		//诊疗信息的附属信息
		diagnosisSubsidiary:function(data){
			return httpRequest.get("doctor/archives/event/healthData",{data:data})
		},
		//保存诊疗信息接口
		preservationInfo:function(data){
			return httpRequest.post("doctor/specialist/diagnosisInformation/createDiagnosisInformation",{data:data})
		},
		// 最后一条数据，用来推算时间
		getBodyRecoredLast: function(data) {
			return httpRequest.get('doctor/health_index/last', {data: data});
		},
		// 获取体征数据doctor/health_index/chart
		getHealthIndex: function(data) {
			return httpRequest.post("doctor/health_index/chart", {data: data})
		},
	}
    exports.recoverAPI = recoverAPI;
})(window)